Bug 244812 - security/krb5-appl: remove invalid configure arg, unneeded BROKEN
Summary: security/krb5-appl: remove invalid configure arg, unneeded BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-14 18:53 UTC by John Hein
Modified: 2020-03-23 13:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
[patch] fix/simplify CONFIGURE_ARGS; remove invalid(?) BROKEN section (764 bytes, patch)
2020-03-14 18:53 UTC, John Hein
jcfyecrayz: maintainer-approval? (cy)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2020-03-14 18:53:22 UTC
Created attachment 212412 [details]
[patch] fix/simplify CONFIGURE_ARGS; remove invalid(?) BROKEN section

Attached is a patch to polish up security/krb5-appl a bit:

- update configure args:

  o  --with-krb5 doesn't need the full path to krb5-config

  o  --enable-shared should have gone away with krb5-appl-1.0

configure: WARNING: unrecognized options: --enable-shared


- unneeded BROKEN?

  o  I removed the BROKEN section and tested with various combinations of default & non-default LOCALBASE & PREFIX.  All built just fine.  It was not clear what the original breakage was, but I did not detect any problems in the current ports tree.


Patch was QA tested with poudriere testport, 11/stable/amd64.
Comment 1 Cy Schubert freebsd_committer 2020-03-17 01:43:48 UTC
fixed.
Comment 2 commit-hook freebsd_committer 2020-03-17 01:44:08 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 17 01:43:10 UTC 2020
New revision: 528552
URL: https://svnweb.freebsd.org/changeset/ports/528552

Log:
  Simplify configuration.

  PR:		244812
  Submitted by:	John Hein <jcfyecrayz at liamekaens.com> (with modification)

Changes:
  head/security/krb5-appl/Makefile
Comment 3 John Hein 2020-03-18 07:13:08 UTC
--enable-shared is still there.
Comment 4 Cy Schubert freebsd_committer 2020-03-18 12:45:29 UTC
There was no need to remove it.
Comment 5 John Hein 2020-03-19 11:18:54 UTC
(In reply to Cy Schubert from comment #4)
I'm not sure I understand your thinking here.

As far as I can tell, --enabled-shared is not a valid configure option and has not been since krb5-appl 1.0.  So, yes, since configure only warns about unsupported options (see original description), it needn't be removed, but then --enable-furbleblatz would be fine, too.

Thanks for making the other changes, by the way.
Comment 6 Cy Schubert freebsd_committer 2020-03-19 12:30:12 UTC
Apologies. I assumed it still was. It will be gone in my next push.
Comment 7 commit-hook freebsd_committer 2020-03-19 12:33:45 UTC
A commit references this bug:

Author: cy
Date: Thu Mar 19 12:32:39 UTC 2020
New revision: 528722
URL: https://svnweb.freebsd.org/changeset/ports/528722

Log:
  --enable-shared is no longer configure option.

  PR:		244812
  Reported by:	John Hein <jcfyecrayz at liamekaens.com>

Changes:
  head/security/krb5-appl/Makefile
Comment 8 John Hein 2020-03-23 13:53:16 UTC
(In reply to commit-hook from comment #7)
Thanks.